package org.eso.ohs.phase2.apps.ot.actions;

import java.awt.event.ActionEvent;

import javax.swing.JFrame;

import org.eso.ohs.core.gui.baseaction.ActionSuperclass;
import org.eso.ohs.phase2.apps.ot.gui.Orang;

/**
 * Action class to start the Orang Wizard.
 * 
 * <p>
 * $Id: OrangStartAction.java,v 1.13 2006/02/27 11:13:20 pnunes Exp $ <br>
 * 
 * @author Dario Dorigo
 */
public class OrangStartAction extends ActionSuperclass {

    private static final long serialVersionUID = 1L;

    private JFrame frm_;

	private Orang orang;

 
    /**
     * Set the memeber variables.
     */
    public OrangStartAction(JFrame frm, String name, Orang orang) {
        super(frm, name);
        frm_ = frm;
        this.orang = orang;
    }

    /**
     * Event handler for the action.
     * @param ev user-initiated ActionEvent to quit.
     */
    public void actionPerformedImpl(ActionEvent evt) {
        orang.showWizard();
    }

    
}
