// -*-c++-*-

//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// COPYRIGHT (c) European Southern Observatory
// LICENSE:   ESO internal use only
// 
// PROJECT:   VLT Data Flow System
// AUTHOR:    Jens Knudstrup - ESO/DMD/DFS
// SUBSYSTEM: DFS Archive System
//
// $Name: arcsys-1_2_8 $
// $Revision: 1.6 $
// $Log: Ngas2NgasCloneTask.h,v $
// Revision 1.6  2006/08/08 15:29:22  jknudstr
// -
//
//-----------------------------------------------------------------------------

#ifndef NGAS2NGASCLONETASK_H
#define NGAS2NGASCLONETASK_H


// Local includes
#include <GenTask.h>


/// Class that implements the NGAS to NGAS Clone Task.
class Ngas2NgasCloneTask: public GenTask
{
  public:
    /// Constructor registering common instance of the Replication Agent Class
    /// and the output message queue to use for this task.
    Ngas2NgasCloneTask(RepAgent&     repAgent,
		       MsgQueue&     msgOutputQueue);

    /// Destructor method.
    ~Ngas2NgasCloneTask(void);

  private:
};


#endif // NGAS2NGASCLONETASK_H

// EOF

