print "Using database observations"
use observations
go

print "Creating new dp_others table"
go

Create table dp_others
(
	oth_id		 varchar(255)  not null ,
	creation_date	 datetime  null,
	site	 	 char(1)  null 
)
go

print "Creating indexes on dp_others table"
go

create unique clustered index oth_id 
	on dp_others ( oth_id ) 
go

create index date_idx on dp_others ( creation_date ) 
go

grant select on dp_others to public
grant insert on dp_others to frameingest
grant all on dp_others to archeso
go
