--
-- $Id: create_example_tables.sql,v 1.2 2004/04/16 15:50:37 nkornwei Exp $
--
-- SQL Script to setup the table needed to run the unit tests.
-- Author: Nick Kornweibel
--
DROP TABLE play
go

CREATE TABLE play
(
    my_int_col       int          NULL,
    my_char_col      char(32)     NOT NULL,
    my_numeric_col   numeric(8,3) NULL,
    my_date_col      datetime     default getdate() NULL,
    my_text_col      text         default "" NULL,
    my_image_col     image        NULL
)
go

