package org.eso.ohs.core.docview.datatrans;

import java.text.DecimalFormat;

/**
 * And adaptor for DiffRA and DiffDec
 * 
 * @author pnunes 
 *
 */
public class DiffRADecAdaptor extends ObjAdaptor {

	public DiffRADecAdaptor() {
		super(double.class);
	}
		
	
	 public DiffRADecAdaptor(Object obj, String fieldName) {
			super(double.class, obj, fieldName);
	}

	@Override
	public String fromMetaLevelObject(Object value) {
		DecimalFormat formater = new DecimalFormat("0.000000");
		return(formater.format(value));
	}

	@Override
	public Object toMetaLevelObject(String value) {
		return(new Double(value));
	}

}
