package org.eso.ohs.persistence.dbase.phase1;

/**
 * class containing fields from database tables related to investigators
 * <p>
 * $Id: Investigator.java,v 1.2 2006/04/26 08:05:11 ddorigo Exp $
 * @author Ron J Lobo
 */

import java.util.Vector;

public class Investigator {

    /** from Eso_Users */
    public int userID_;
    public String initials_;
    public String surnameDL_;
    public String surnameL_;
    public int ignored_;

    /** other fields */
    public boolean hasOBs_;
    public boolean isRef_;

    public Vector<UserAffiliation> affils_;

	public void setUserId(int userID_) {
		this.userID_ = userID_;
	}

	public int getUserId() {
		return userID_;
	}

	public void setInitials(String initials_) {
		this.initials_ = initials_;
	}

	public String getInitials() {
		return initials_;
	}

	public void setSurnameDL(String surnameDL_) {
		this.surnameDL_ = surnameDL_;
	}

	public String getSurnameDL() {
		return surnameDL_;
	}

	public void setSurname(String surnameL_) {
		this.surnameL_ = surnameL_;
	}

	public String getSurname() {
		return surnameL_;
	}

	public void setIgnored(int ignored_) {
		this.ignored_ = ignored_;
	}

	public int getIgnored() {
		return ignored_;
	}

	public void setRef(boolean isRef_) {
		this.isRef_ = isRef_;
	}

	public boolean isRef() {
		return isRef_;
	}

	public void setObsBlockOwner(boolean hasOBs_) {
		this.hasOBs_ = hasOBs_;
	}

	public boolean isObsBlockOwner() {
		return hasOBs_;
	}
}

