package org.eso.ohs.phase2.apps.ipacman.actions;

import java.awt.event.ActionEvent;

import javax.swing.JFrame;

import org.eso.ohs.core.gui.baseaction.ActionSuperclass;
import org.eso.ohs.phase2.apps.ipacman.IPACMAN;

/**
 * Action class to make IPACMAN quit.
 * <p>
 * $Id: QuitAction.java,v 1.7 2005/02/11 10:31:50 tcanavan Exp $
 * @version $Revision: 1.7 $
 * @author Ron J Lobo
 */
public class QuitAction extends ActionSuperclass {

    /**
     * Constructs a Quit action.
     */
    public QuitAction(JFrame frm) {
        super(frm, "Quit");
    }

    /**
     * Event handler for the Quit action.
     * 
     * @param ev       user-initiated ActionEvent to quit.
     */
    public void actionPerformedImpl(ActionEvent ae) {
        IPACMAN.askAndQuit();
    }
}

