package org.eso.ohs.scripting;

import org.eso.ohs.dfs.FindingChart;

public class FindingChartSetAdaptor implements FindingChartSetAPI {

	public FindingChart [] findingCharts;



	public FindingChartSetAdaptor(FindingChart[] findingCharts) {
		this.findingCharts = findingCharts;
	}

	public FindingChartAPI getFindingChart(int index) {
		return(new FindingChartAdaptor(findingCharts[index]));
	}

	public int getNumberOfFindingCharts() {
		return(findingCharts.length);
	}

}
