package org.eso.ohs.phase2.apps.ot.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import org.eso.ohs.phase2.apps.ot.dbb.OTDbbView;
import org.eso.ohs.phase2.apps.ot.gui.OTClipboard;

public class CopyToClipboardAction extends AbstractAction {
	
	
	private OTDbbView dbbView;

	public CopyToClipboardAction(OTDbbView dbbView) {
		super("Copy");
		this.dbbView = dbbView; 
	}

	public void actionPerformed(ActionEvent e) {
		copyToOTClipboard();
	}
	/** copy to OTClipboard */
    private void copyToOTClipboard() {
        long[] set = dbbView.getAllSelectedOBIds();
        Long[] content = new Long[set.length];
        for (int i = 0; i < set.length; i++) {
            content[i] = new Long(set[i]);
        }
        OTClipboard.insert(content);
    }
}