package org.eso.ohs.phase2.apps.ot.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import org.eso.ohs.dfs.Queue;
import org.eso.ohs.phase2.apps.ot.dbb.OTDbbView;



public class MoveDownRowsAction extends AbstractAction {

    private OTDbbView otDbbView_;
    
    private Queue queue_;


    public MoveDownRowsAction(OTDbbView otDbbView,Queue queue) {
        super("Move Down");
        queue_ = queue;
        otDbbView_ = otDbbView;
    }

    public void actionPerformed(ActionEvent ev) {
        moveDownRowsQueueItems();
    }
    public void moveDownRowsQueueItems() {
        int[] rows = otDbbView_.getDbbView().getSelectedRows();
        if ((rows.length > 0)
                && (rows[rows.length - 1] + 1 < otDbbView_.getDbbView()
                        .getTable()
                        .getRowCount())) {
//          move the object elements
            long destOBID = otDbbView_.getOBID(rows[rows.length - 1] + 1);
            long[] selOBIDs = otDbbView_.getOBIDs(rows);       
            queue_.moveDownQueueItems(selOBIDs, destOBID);            
           // move the row elements
            otDbbView_.moveDownOBs( rows, rows[rows.length - 1] + 1);                        
        }
    }

}

