package org.eso.ohs.phase2.apps.ot.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import org.eso.ohs.dfs.Queue;
import org.eso.ohs.phase2.apps.ot.dbb.OTDbbView;

public class MoveUpRowsAction extends AbstractAction {

    private OTDbbView otDbbView_;
    
    private Queue queue_;


    public MoveUpRowsAction(OTDbbView otDbbView,Queue queue) {
        super("Move Up");
        otDbbView_ = otDbbView;
        queue_ = queue;
    }

    public void actionPerformed(ActionEvent ev) {
        moveUpRowsQueueItems();
    }
    /**
     * Move up Items in the queue and save the model.
     */

    private void moveUpRowsQueueItems() {
        int[] rows = otDbbView_.getDbbView().getSelectedRows();
        if ((rows.length > 0) && (rows[0] - 1 >= 0)) {
              // move the ob el 
            long destOBID = otDbbView_.getOBID(rows[0] - 1);
            long[] selOBIDs = otDbbView_.getOBIDs(rows);
            queue_.moveUpQueueItems(selOBIDs, destOBID);
             // move the row el
            otDbbView_.moveUpOBs(rows, rows[0] - 1);
        }
    }
}

