package org.eso.ohs.phase2.apps.ot.actions;

import java.awt.event.ActionEvent;

import javax.swing.JOptionPane;

import org.eso.ohs.core.gui.baseaction.ActionSuperclass;
import org.eso.ohs.core.gui.widgets.MultipleProgressDialog;
import org.eso.ohs.phase2.apps.ot.wizard.OrangEngine;
import org.eso.ohs.phase2.apps.ot.wizard.OrangGUI;
import org.eso.ohs.phase2.orang.OrangModel;

/**
 *  
 * @author pnunes 08.02.2006
 *
 */
public class OrangComputeAction extends ActionSuperclass {

	private OrangModel model;
	private OrangEngine engine;
	private OrangGUI gui;
	private MultipleProgressDialog progressDialog;
	
	public OrangComputeAction(OrangGUI frm, String name, OrangModel model , OrangEngine engine) {
		super(frm, name);
		this.gui = frm;
		this.model = model;
		this.engine = engine;
	}

	public void actionPerformedImpl(ActionEvent ev) {

		if (gui.isValid()) {
			
			gui.updateModel();
			
			if (model.optionsChanged()) {						
					engine.computeAll(model,gui);
				
				
			} else {
				JOptionPane.showMessageDialog(gui, "No option changes. Nothing to be computed.",
						"Nothing to compute", JOptionPane.INFORMATION_MESSAGE);
			}
			
						
		} else {
			JOptionPane.showMessageDialog(gui, gui.getValidationString(),
					"Invalid input", JOptionPane.ERROR_MESSAGE);
		}
		
		

	}
		

}
