Dictionary Name:   ESO-VLT-DIC.ARC
Scope:             ARC
Source:            DMD/SAG
Version Control:   @(#) $Id: ESO-VLT-DIC.ARC,v 1.1 2007/11/28 16:07:14 cguirao Exp $
Revision:          1.0
Date:              1998-11-27
Status:            submitted
Description:       Based on ESO-VLT-DIC.GENERIC-1.0  
Revision:          2.0
Date:              2001-04-05
Status:            submitted
Description:       jknudstr: Put under CMM + made DICB compliant. 
                   Based on the version found on the DICB WEB page 2001-04-05.


Parameter Name:    ARC DID
Class:             header
Context:           archive
Type:              string
Value Format:      %30s
Unit:              
Comment Format:    Data product dictionary
Description:       
Name and version of ESO DID to which keywords comply.

Parameter Name:    ORIGFILE
Class:             header
Context:           archive
Type:              string
Value Format:      %40s
Unit:              
Comment Format:    Original File Name 
Description:       
Name of the frame when it was generated on 
instrument workstation. 

Parameter Name:    ARCFILE
Class:             header
Context:           archive
Type:              string
Value Format:      %40s
Unit:              
Comment Format:    Archive File Name 
Description:       
Unique Data Product ID within the ESO 
Data Flow System. It is composed of 
<source>.YYYY-MM-DDTHH:MM::SS.sss.fits
where <source> is a unique data producer
identifier (typically the name of instrument)
and the date and time is set
by the time of start of the exposure as
as given through the MJD-OBS keyword in the FITS header.

Parameter Name:    CHECKSUM
Class:             header
Context:           archive
Type:              string
Value Format:      %16s
Unit:              
Comment Format:    ASCII 1's complement checksum
Description:       
ASCII coded 32 bit 1's complement arithmetic 
to force the checksum of the FITS file to zero. 
The algorithm for computing the checksum is described
in the FITS Checksum proposal by Seaman and Pence, 1995. 
See http://archive.eso.org/dicb/checksum/checksum.ps


# --- oOo ---