#ifndef utilUtils_H
#define utilUtils_H
/******************************************************************************
 *
 * E.S.O. - Archive System
 *
 * "@(#) $Id: utilUtils.h,v 1.1 2004/09/21 12:45:41 cguirao Exp $"
 *
 * Who       When      What
 * --------  --------  ----------------------------------------------
 * jknudstr  01/09/99  Created
 */

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "slx.h"
#include "utilDefs.h"
#include "utilTYPES.h"

int utilRegExp(const char *regExp,
	       const char *string);
		  
slxPAR_TYPE  utilDetermineType(const char  *value);

char         *utilSlxType2Str(const slxPAR_TYPE  type);

utilLOGICAL  utilStr2Logical(const char  *str);

utilSTAT utilSplit(const char       *separators, 
		   const char       *stringPtr, 
		   const int        maxNoOfSubStr, 
		   slxKEYW_LINE     subStrings[], 
		   int              *noOfSubStr);

#endif /*!utilUtils_H*/

// --- oOo ---
