package org.eso.ohs.core.gui.widgets;



import java.io.File;

import javax.swing.ImageIcon;

import org.eso.ohs.core.gui.utilities.ImageUtils;

/* Utils.java is a 1.4 example used by FileChooserDemo2.java. */
public class Utils {
    public final static String jpeg = "jpeg";
    public final static String jpg = "jpg";
    public final static String gif = "gif";
    public final static String tiff = "tiff";
    public final static String tif = "tif";
    public final static String png = "png";

    /*
     * Get the extension of a file.
     */
    public static String getExtension(File f) {
        String ext = null;
        String s = f.getName();
        int i = s.lastIndexOf('.');

        if (i > 0 &&  i < s.length() - 1) {
            ext = s.substring(i+1).toLowerCase();
        }
        return ext;
    }


	protected static ImageIcon createImageIcon(String path) {
		ImageIcon icon = (ImageIcon) ImageUtils.getIcon(path);		
		return icon;
	}

}
