/**
 * 
 */
package org.eso.ohs.persistence.dao;

import org.eso.ohs.dfs.phase1.Cycles;
import org.springframework.dao.DataAccessException;
import org.springframework.orm.hibernate3.HibernateTemplate;

/**
 * @author gdonino
 */
public class CyclesDAOHibernate implements CyclesDAO {

	
	private HibernateTemplate hibernateTemplate;


	/**
	 * @return Returns the hibernateTemplate.
	 */
	public HibernateTemplate getHibernateTemplate() {
		return hibernateTemplate;
	}

	/**
	 * @param hibernateTemplate The hibernateTemplate to set.
	 */
	public void setHibernateTemplate(HibernateTemplate hibernateTemplate) {
		this.hibernateTemplate = hibernateTemplate;
	}

	
	public void create(Cycles cycles)
	throws DataAccessException {

      hibernateTemplate.saveOrUpdate(cycles);
	}

}